package com.ynet.life.sujrb.util;

import com.ynet.life.sujrb.base.PBStandard;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.GregorianCalendar;
import java.util.List;

/* loaded from: com_ynet_life_sujrb_util.jar:com/ynet/life/sujrb/util/WeekdayUtil.class */
public class WeekdayUtil {
    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v0, types: [java.text.SimpleDateFormat] */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v19, types: [int] */
    public static boolean compareWeekday(String beforeDate, String afterDate, int deadline) {
        ?? simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        try {
            Date d1 = simpleDateFormat.parse(beforeDate);
            Date d2 = simpleDateFormat.parse(afterDate);
            int workDay = 0;
            GregorianCalendar gc = new GregorianCalendar();
            gc.setTime(d1);
            long day = (((d2.getTime() - d1.getTime()) / 3600000) / 24) + 1;
            if (day < 0) {
                return true;
            }
            int i = 0;
            while (true) {
                simpleDateFormat = (i > day ? 1 : (i == day ? 0 : -1));
                if (simpleDateFormat >= 0) {
                    break;
                }
                if (isWeekday(gc)) {
                    workDay++;
                }
                gc.add(5, 1);
                i++;
            }
            return workDay <= deadline;
        } catch (Exception e) {
            simpleDateFormat.printStackTrace();
            return true;
        }
    }

    public static boolean isWeekday(GregorianCalendar calendar) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        if (calendar.get(7) == 7 || calendar.get(7) == 1) {
            return getWeekendIsWorkDateList().contains(sdf.format(calendar.getTime()));
        }
        return !getWeekdayIsHolidayList().contains(sdf.format(calendar.getTime()));
    }

    public static List<String> getWeekendIsWorkDateList() {
        return PBStandard.getWeekendIsWorkdayList();
    }

    public static List<String> getWeekdayIsHolidayList() {
        return PBStandard.getWorkdayIsHolidayList();
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v0, types: [java.text.SimpleDateFormat] */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v18, types: [int] */
    public static int getWorkDay(String beforeDate, String afterDate) {
        ?? simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        try {
            Date d1 = simpleDateFormat.parse(beforeDate);
            Date d2 = simpleDateFormat.parse(afterDate);
            int workDay = 0;
            GregorianCalendar gc = new GregorianCalendar();
            gc.setTime(d1);
            long day = (((d2.getTime() - d1.getTime()) / 3600000) / 24) + 1;
            int i = 0;
            while (true) {
                simpleDateFormat = (i > day ? 1 : (i == day ? 0 : -1));
                if (simpleDateFormat < 0) {
                    if (isWeekday(gc)) {
                        workDay++;
                    }
                    gc.add(5, 1);
                    i++;
                } else {
                    return workDay;
                }
            }
        } catch (Exception e) {
            simpleDateFormat.printStackTrace();
            return -99;
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v0, types: [java.text.SimpleDateFormat] */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v7, types: [java.util.Date] */
    public static Date getBeforeWorkDay(Date date, int n) {
        ?? simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        try {
            GregorianCalendar gc = new GregorianCalendar();
            gc.setTime(date);
            for (int i = 0; i < n; i++) {
                gc.add(5, -1);
                if (!isWeekday(gc)) {
                    n++;
                }
                System.out.println(simpleDateFormat.format(gc.getTime()));
            }
            simpleDateFormat = gc.getTime();
            return simpleDateFormat;
        } catch (Exception e) {
            simpleDateFormat.printStackTrace();
            return new Date();
        }
    }

    public static void main(String[] args) {
    }
}
